using Microsoft.AspNetCore.Http;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace pwt_0x01_ng.Models
{
	[Table("Carousel")]
    public class Carousel
    {
		[Key]
		[Required]
        public int id { get; set; }
		[Required]
        public string DataTarget { get; set; }
		[NotMapped]
        public IFormFile Image { get; set; }
		[Required]
		[StringLength(255)]
        public string ImageSrc { get; set; }
		[Required]
		[StringLength(50)]
        public string ImageAlt { get; set; }
		[Required]
        public string CarouselContent { get; set; }
    }
}
