﻿using System;
using pwt_0x01_ng.Models.Database;
using System.Collections.Generic;
using pwt_0x01_ng.Models;

namespace pwt0x01ng.Models.Database
{
	public static class DBInit
	{

		public static void Init(DBContext dbContext)
		{
			if (dbContext.Database.EnsureCreated())
			{
				IList<Carousel> carousels = CarouselHelper.GenerateCarousel();
				foreach (var c in carousels)
				{
					dbContext.Carousel.Add(c);
				}
				dbContext.SaveChanges();
			}
		}
	}
}
